Bug 1184539 - Missing kie-remote and jbpm-services-ejb artifacts in maven repo
Summary: Missing kie-remote and jbpm-services-ejb artifacts in maven repo
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Maven Repository
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ER6
: 6.1.0
Assignee: Petr Kočandrle
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-21 16:05 UTC by Petr Široký
Modified: 2020-03-27 20:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 20:03:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Široký 2015-01-21 16:05:49 UTC
Description of problem:
Maven repository is missing following kie-remote* and jbpm-services-ejb* artifacts. I believe these should be included as they are expected to be used for development purposes:

org.kie.remote.ws:kie-remote-ws-impl:jar:6.2.0.CR4-redhat-1
org.kie.remote.ws:kie-remote-ws-impl:jar:sources:6.2.0.CR4-redhat-1
org.kie.remote.ws:kie-remote-ws-wsdl-cmd:jar:6.2.0.CR4-redhat-1
org.kie.remote.ws:kie-remote-ws-wsdl-cmd:jar:sources:6.2.0.CR4-redhat-1
org.kie.remote.ws:kie-remote-ws-wsdl:jar:6.2.0.CR4-redhat-1
org.kie.remote.ws:kie-remote-ws-wsdl:jar:sources:6.2.0.CR4-redhat-1
org.kie.remote:kie-remote-jaxb-gen:jar:6.2.0.CR4-redhat-1
org.kie.remote:kie-remote-jaxb-gen:jar:sources:6.2.0.CR4-redhat-1
org.kie.remote:kie-remote-jaxb:jar:tests:6.2.0.CR4-redhat-1
org.kie.remote:kie-remote-rest-api:jar:6.2.0.CR4-redhat-1
org.kie.remote:kie-remote-rest-api:jar:sources:6.2.0.CR4-redhat-1

org.jbpm:jbpm-services-ejb-api:jar:6.2.0.CR4-redhat-1
org.jbpm:jbpm-services-ejb-api:jar:sources:6.2.0.CR4-redhat-1
org.jbpm:jbpm-services-ejb-client:jar:6.2.0.CR4-redhat-1
org.jbpm:jbpm-services-ejb-client:jar:sources:6.2.0.CR4-redhat-1
org.jbpm:jbpm-services-ejb-impl:jar:6.2.0.CR4-redhat-1
org.jbpm:jbpm-services-ejb-impl:jar:sources:6.2.0.CR4-redhat-1
org.jbpm:jbpm-services-ejb-timer:jar:6.2.0.CR4-redhat-1
org.jbpm:jbpm-services-ejb-timer:jar:sources:6.2.0.CR4-redhat-1


Version-Release number of selected component (if applicable):
6.1.0.ER4 (also in previous versions)

Comment 1 Petr Kočandrle 2015-02-13 16:59:51 UTC
It seems that org.kie.remote.ws:kie-remote-ws-wsdl-cmd was not built in version 6.2.0.Final-redhat-1 (ER5) so I'm dropping that one.

I also think that test jars should not be part of the repo, so let's strike out also org.kie.remote:kie-remote-jaxb:jar:tests from the list.

Not sure what's the best solution how to get the rest in. We can add them manually (with generated updated version for each release), but we risk that in the future we will miss some transitive dependency of one of the artifacts.

For now I'll add them as roots to compute their dependency graphs and add anything else needed by them that is missing but shouldn't they be part of an assembly already so they should be included. Or at least shouldn't they be dependencies of a quickstart? Then there would be no reason to add them as separate roots.

Comment 2 Petr Široký 2015-02-13 18:28:14 UTC
Thanks Petr. I agree that these should be part of the assemblies. There should be no need to add them manually/update the roots. I will look into that and fix the assemblies.

Comment 3 Petr Široký 2015-02-16 11:37:13 UTC
After discussion with Marco Rietveld, he pointed out that the following artifacts should _not_ part of the repo (for various reasons):

org.kie.remote.ws:kie-remote-ws-impl:jar:6.2.0.CR4-redhat-1
org.kie.remote.ws:kie-remote-ws-impl:jar:sources:6.2.0.CR4-redhat-1

org.kie.remote.ws:kie-remote-ws-wsdl:jar:6.2.0.CR4-redhat-1
org.kie.remote.ws:kie-remote-ws-wsdl:jar:sources:6.2.0.CR4-redhat-1

org.kie.remote:kie-remote-jaxb-gen:jar:6.2.0.CR4-redhat-1
org.kie.remote:kie-remote-jaxb-gen:jar:sources:6.2.0.CR4-redhat-1

org.kie.remote:kie-remote-rest-api:jar:6.2.0.CR4-redhat-1
org.kie.remote:kie-remote-rest-api:jar:sources:6.2.0.CR4-redhat-1

So we will just need to filter them in wolf validator.

The jbpm-services-ejb-* artifacts were added directly into the bpms-distribution, see (6.2.x): https://github.com/droolsjbpm/droolsjbpm-integration/commit/80dcd083a3b84852fe5163a87c6ec62269704c18


@Petr, can you please remove these as the repo roots? Sorry for the confusion...

Comment 4 Petr Kočandrle 2015-03-04 11:03:51 UTC
I just removed org.kie.remote* artifacts from root list in 6.1.x configuration and added a note that they should be removed for 6.2.x. Thanks for fixing this.

Comment 5 jvahala 2015-03-13 12:14:52 UTC
artifacts are present in bpmsuite 6.1.0 ER6 maven repository. Verified


Note You need to log in before you can comment on or make changes to this bug.